Subject: bug#43651: 27.1; compile.el should not parse its own header for errors

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 29 Sep 2020 16:01:56 +0200

David Landell <[email-masked]> writes:

> I am attaching a patch that superficially seems to fix these issues.
> I have a hard time judging if this fix has any bad side effects or
> similar though.

Thanks for the analysis -- your patch was basically correct, I think,
but a bit brittle.  Instead of doing the marking with a variable, I've
now made compile mark the end of the header with a text property, and
that's then used to find the end of the header when pasing.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no